//
//  MapsViewController.m
//  Maps
//
//  Created by Wei-Meng Lee on 6/19/10.
//  Copyright __MyCompanyName__ 2010. All rights reserved.
//

#import "MapsViewController.h"

@implementation MapsViewController

@synthesize btnShowLocation;
@synthesize mapView;

-(IBAction) showLocation:(id) sender {
    if ([[btnShowLocation titleForState:UIControlStateNormal]		 
		 isEqualToString:@"Show My Location"]) {		
        [btnShowLocation setTitle:@"Hide My Location"		 
						 forState:UIControlStateNormal];		
        mapView.showsUserLocation = YES;		
    } else {
        [btnShowLocation setTitle:@"Show My Location"
						 forState:UIControlStateNormal];
        mapView.showsUserLocation = NO;
    }	
}

- (void)dealloc {
	[mapView release];	
    [btnShowLocation release];
    [super dealloc];
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	//—-connect the delegate of the MKMapView object to	
    // this view controller programmatically; you can also connect	
    // it via Interface Builder—-	
    mapView.delegate = self;	
    mapView.mapType = MKMapTypeHybrid;
    [super viewDidLoad];
}

-(void)mapView:(MKMapView *)mv regionWillChangeAnimated:(BOOL)animated {
    //—-print out the region span - aka zoom level—-
    MKCoordinateRegion region = mapView.region;
    NSLog(@"%f",region.span.latitudeDelta);
    NSLog(@"%f",region.span.longitudeDelta);
}

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}

@end
