//
//  HeroValueDisplay.h
//  SuperDB
//
//  Created by Ken Anderson on 3/16/11.
//  Copyright 2011 University of Colorado, Boulder. All rights reserved.
//

#import <Foundation/Foundation.h>

@protocol HeroValueDisplay
- (NSString *) heroValueDisplay;
@end

@interface NSString (HeroValueDisplay) <HeroValueDisplay>
- (NSString *) heroValueDisplay;
@end

@interface NSDate (HeroValueDisplay) <HeroValueDisplay>
- (NSString *) heroValueDisplay;
@end

@interface NSNumber (HeroValueDisplay) <HeroValueDisplay>
- (NSString *) heroValueDisplay;
@end

@interface NSDecimalNumber (HeroValueDisplay) <HeroValueDisplay>
- (NSString *) heroValueDisplay;
@end
